API
YouTube API
The AI-powered YouTube provides 360° Global Media Data & Intelligence on YouTube creators, video producers, brand marketers, and content distributors.
Справочник API Версия: 1.0.0 15 Точки доступа Аутентификация
Базовый URL
https://pressmonitor.com/api Аутентификация
Все запросы требуют заголовков x-api-key и x-subscription-id. x-api-key аутентифицирует вашу учетную запись; x-subscription-id выбирает подписанный сервис.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/youtube_media_search YouTube Médias Recherche
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| keyword | string | query | Нет | Keyword |
| limit | integer | query | Нет | Number of results |
| page | string | query | Нет | Page number |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_search?keyword=VALUE&limit=VALUE&page=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_suggestions YouTube Médias Suggestions
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| keyword | string | query | Нет | Keyword |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_suggestions?keyword=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_details YouTube Médias Détails
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| videoId | string | query | Нет | YouTube video ID |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_details?videoId=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_subtitles YouTube Médias Sous-titres
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| videoId | string | query | Нет | YouTube video ID |
| subtitleUrl | string | query | Нет | Subtitle URL |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_subtitles?videoId=VALUE&subtitleUrl=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_comments YouTube Médias Commentaires
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| videoId | string | query | Нет | YouTube video ID |
| limit | integer | query | Нет | Number of results |
| page | string | query | Нет | Page number |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_comments?videoId=VALUE&limit=VALUE&page=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_channel YouTube Médias Chaîne
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| channelId | string | query | Нет | YouTube channel ID |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_channel?channelId=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_channel_videos YouTube Médias Chaîne Vidéos
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| channelId | string | query | Нет | YouTube channel ID |
| limit | integer | query | Нет | Number of results |
| page | string | query | Нет | Page number |
| type | string | query | Нет | Type (videos, shorts, live; or playlists, releases, podcasts) |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_channel_videos?channelId=VALUE&limit=VALUE&page=VALUE&type=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_transcript YouTube Transcription
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| videoId | string | query | Нет | YouTube video ID |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_transcript?videoId=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_download YouTube Téléchargement
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| videoId | string | query | Нет | YouTube video ID |
| kind | string | query | Нет | Kind (video or audio) |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_download?videoId=VALUE&kind=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_search_channels YouTube Médias Recherche Chaînes
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| keyword | string | query | Нет | Keyword |
| limit | integer | query | Нет | Number of results |
| page | string | query | Нет | Page number |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_search_channels?keyword=VALUE&limit=VALUE&page=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_search_playlists YouTube Médias Recherche Playlists
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| keyword | string | query | Нет | Keyword |
| limit | integer | query | Нет | Number of results |
| page | string | query | Нет | Page number |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_search_playlists?keyword=VALUE&limit=VALUE&page=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_channel_playlists YouTube Médias Chaîne Playlists
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| channelId | string | query | Нет | YouTube channel ID |
| limit | integer | query | Нет | Number of results |
| page | string | query | Нет | Page number |
| type | string | query | Нет | Type (videos, shorts, live; or playlists, releases, podcasts) |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_channel_playlists?channelId=VALUE&limit=VALUE&page=VALUE&type=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_playlist_details YouTube Médias Playlist Détails
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| playlistId | string | query | Нет | YouTube playlist ID |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_playlist_details?playlistId=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/youtube_media_playlist_videos YouTube Médias Playlist Vidéos
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| playlistId | string | query | Нет | YouTube playlist ID |
| limit | integer | query | Нет | Number of results |
| page | string | query | Нет | Page number |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/youtube_media_playlist_videos?playlistId=VALUE&limit=VALUE&page=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
